using GameAtlas.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Stub
{
    public class Stub : IPersistanceManager
    {
        public (List<Jeu>,List<Utilisateur>) ChargeDonnees()
        {
            List<Utilisateur> ListUsers = new List<Utilisateur>();
            List<Jeu> ListJeu = new List<Jeu>();
            Utilisateur userTest = new Utilisateur("test@gmail.com", "test", "Test1234");
            ListUsers.Add(userTest);
            Jeu TheLastOfUs = new Jeu("The last of Us Part 1","5 Fevrier 2023","Ps5 XOne Pc","dev","ed", 5, 487,"Aventure", "cover_lastofus1.png");
            Jeu ForzaHorizon = new Jeu("Forza Horizon 5", "12 Mars 2023", "Ps5", "dev", "ed", 4, 420, "Course", "cover_forzahorizon5.png");
            Jeu Test = new Jeu("The Legend of Zelda: Tears of the Kingdom", "8 Janvier 2023", "Switch Pc", "dev", "ed", 5, 250, "Aventure", "cover_zelda.png");
            ListJeu.Add(TheLastOfUs);
            ListJeu.Add(ForzaHorizon);
            ListJeu.Add(Test);
            return (ListJeu,ListUsers);
        }

        public void SauvegardeDonnees(List<Jeu> jeux, List<Utilisateur> utilisateurs)
        {
            throw new NotImplementedException();
        }
    }
}